SELECT count(1) from  ecs_core_user; --545086
SELECT count(1) from  ecs_core_student; --543198
update ecs_core_user t set t.type='COMMON' where t.type='NOT_STUDENT';

update ecs_core_org t set t.type='QMTH' where t.type='PRINT_QMTH';
update ecs_core_org t set t.type='PRINTER' where t.type='PRINT_SUPPLIER';
update ecs_core_org t set t.parent_id=null ,t.root_id=t.id where t.parent_id=0;

update  ecs_core_student t set t.password=(SELECT x.password from ecs_core_user x where x.id=t.user_id);

--删除ecs_core_student,ecs_core_user_role的外键 user_id
DELETE  from ecs_core_user where type='STUDENT'; -- 543199

--删除ecs_core_user的scope,type,update_time,create_time字段

--导入角色
INSERT INTO `ec_b_role`(`id`, `creation_time`, `update_time`, `code`, `name`) VALUES (1, '2018-06-08 13:15:50', '2018-06-08 13:15:48', 'SUPER_ADMIN', '超级管理员');
INSERT INTO `ec_b_role`(`id`, `creation_time`, `update_time`, `code`, `name`) VALUES (2, '2018-06-08 13:16:10', '2018-06-08 13:16:14', 'LC_USER', '学习中心用户');
INSERT INTO `ec_b_role`(`id`, `creation_time`, `update_time`, `code`, `name`) VALUES (3, '2018-06-08 13:17:35', '2018-06-08 13:17:38', 'MARKING_ADMIN', '阅卷管理员');
INSERT INTO `ec_b_role`(`id`, `creation_time`, `update_time`, `code`, `name`) VALUES (4, '2018-06-08 13:19:13', '2018-06-08 13:19:17', 'QUESTION_ADMIN', '题库管理员');
INSERT INTO `ec_b_role`(`id`, `creation_time`, `update_time`, `code`, `name`) VALUES (5, '2018-06-08 13:20:05', '2018-06-08 13:20:08', 'OE_ADMIN', '网考管理员');
INSERT INTO `ec_b_role`(`id`, `creation_time`, `update_time`, `code`, `name`) VALUES (6, '2018-06-08 13:15:50', '2018-06-08 13:15:48', 'ORG_ADMIN', '机构管理员');
INSERT INTO `ec_b_role`(`id`, `creation_time`, `update_time`, `code`, `name`) VALUES (7, '2018-06-08 13:15:50', '2018-06-08 13:15:48', 'MARKER', '评卷员');


--角色割接
insert into ec_b_user_role_relation(user_id,role_id,role_code)   
SELECT DISTINCT  X.user_id,Y.id,Y.code from ecs_core_user_role X, ec_b_role Y 
where x.role_code=Y.code and X.user_id is not null;

SELECT * from ecs_exam t  where t.org_id=t.root_org_id;



INSERT INTO `ec_b_privilege_group`(`id`, `creation_time`, `update_time`, `app_id`, `code`, `name`, `root_org_id`) VALUES (0, '2018-06-19 12:39:51', '2018-06-19 12:39:53', 0, 'PORTAL_MENUS', '门户菜单', 0);
INSERT INTO `ec_b_privilege_group`(`id`, `creation_time`, `update_time`, `app_id`, `code`, `name`, `root_org_id`) VALUES (1, '2018-06-08 13:12:29', '2018-06-08 13:12:37', 1, 'BASIC_MENUS', '基础信息菜单', 0);
INSERT INTO `ec_b_privilege_group`(`id`, `creation_time`, `update_time`, `app_id`, `code`, `name`, `root_org_id`) VALUES (2, '2018-06-08 13:12:29', '2018-06-08 13:12:37', 2, 'EXAM_WORK_MENUS', '考务菜单菜单', 0);
INSERT INTO `ec_b_privilege_group`(`id`, `creation_time`, `update_time`, `app_id`, `code`, `name`, `root_org_id`) VALUES (3, '2018-06-08 13:12:29', '2018-06-08 13:12:37', 3, 'QUESTIONS_WORK_MENUS', '题库管理菜单', 0);
INSERT INTO `ec_b_privilege_group`(`id`, `creation_time`, `update_time`, `app_id`, `code`, `name`, `root_org_id`) VALUES (4, '2018-06-08 13:12:29', '2018-06-08 13:12:37', 4, 'NETEXAM_WORK_MENUS', '网考管理菜单', 0);
INSERT INTO `ec_b_privilege_group`(`id`, `creation_time`, `update_time`, `app_id`, `code`, `name`, `root_org_id`) VALUES (5, '2018-06-08 13:12:29', '2018-06-08 13:12:37', 5, 'MARK_WORK_MENUS', '阅卷管理菜单', 0);


INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (1000, '2018-06-08 13:25:10', '2018-06-19 10:55:36', 'org', 1, '机构管理', NULL, 'cao', 'menu', NULL, NULL, NULL, NULL, 99);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (1001, '2018-06-08 13:23:31', '2018-06-08 13:23:35', 'index_school', 1, '学校列表', 1000, NULL, 'menu', '/index/school', NULL, NULL, NULL, 0);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (1100, '2018-06-08 13:25:10', '2018-06-19 10:56:10', 'course', 1, '课程管理', NULL, NULL, 'menu', NULL, NULL, NULL, NULL, 80);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (1101, '2018-06-08 13:25:10', '2018-06-08 13:25:13', 'index_course', 1, '课程列表', 1100, NULL, 'menu', '/index/course', NULL, NULL, NULL, 0);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (1103, '2018-06-08 13:24:55', '2018-06-08 13:24:58', 'index_campus', 1, '中心列表', 1000, NULL, 'menu', '/index/campus', NULL, NULL, NULL, 0);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (1200, '2018-06-08 13:25:10', '2018-06-19 10:56:20', 'specially', 1, '专业管理', NULL, NULL, 'menu', NULL, NULL, NULL, NULL, 70);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (1201, '2018-06-08 13:25:10', '2018-06-08 13:25:13', 'index_specially', 1, '专业列表', 1200, NULL, 'menu', '/index/specially', NULL, NULL, NULL, 0);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (1300, '2018-06-08 13:25:10', '2018-06-19 10:55:55', 'user', 1, '用户管理', NULL, NULL, 'menu', NULL, NULL, NULL, NULL, 90);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (1301, '2018-06-08 13:25:10', '2018-06-08 13:25:13', 'index_user', 1, '普通用户管理', 1300, NULL, 'menu', '/index/user', NULL, NULL, NULL, 0);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (1400, '2018-06-08 13:25:10', '2018-06-19 12:23:47', 'auth', 1, '鉴权管理', NULL, NULL, 'menu', NULL, NULL, NULL, NULL, 10);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (1402, '2018-06-08 13:25:10', '2018-06-19 12:36:48', 'index_privilege_group_list', 1, '权限组列表', 1400, NULL, 'menu', '/index/privilege_group_list', NULL, NULL, NULL, 50);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (1403, '2018-06-08 13:25:10', '2018-06-19 12:36:33', 'index_app_list', 1, '应用列表', 1400, NULL, 'menu', '/index/app_list', NULL, NULL, NULL, 100);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (3000, '2018-06-08 13:25:10', '2018-06-21 17:00:14', 'exam', 2, '考试管理', NULL, NULL, 'menu', NULL, NULL, NULL, NULL, 1);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (3001, '2018-06-08 13:25:10', '2018-06-08 13:25:13', 'index_examStudent', 2, '考生信息', 3000, NULL, 'menu', '/index/examStudent', NULL, NULL, NULL, 0);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (3002, '2018-06-08 13:25:10', '2018-06-21 17:03:43', 'index_examInfo', 2, '考试信息', 3000, NULL, 'menu', '/index/examInfo', NULL, NULL, NULL, 1);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (3100, '2018-06-08 13:25:10', '2018-06-08 13:25:13', 'student', 2, '学生管理', NULL, NULL, 'menu', NULL, NULL, NULL, NULL, 0);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (3101, '2018-06-08 13:25:10', '2018-06-08 13:25:13', 'index_student', 2, '学生信息', 3100, NULL, 'menu', '/index/student', NULL, NULL, NULL, 0);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (4000, '2018-06-08 13:25:10', '2018-06-25 10:23:45', 'base_info', 3, '基础信息', NULL, NULL, 'menu', NULL, NULL, NULL, NULL, 10);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (4001, '2018-06-08 13:25:10', '2018-06-25 10:25:22', 'ques_struct_prepare', 3, '试卷结构预设', 4000, NULL, 'menu', '/index/paper_structure/0', NULL, NULL, NULL, 5);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (4002, '2018-06-08 13:25:10', '2018-06-25 10:25:43', 'bluepoint', 3, '蓝图试卷结构', 4000, NULL, 'menu', '/index/blue_paper_structure/0', NULL, NULL, NULL, 4);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (4003, '2018-06-08 13:25:10', '2018-06-25 10:25:59', 'lesson_property', 3, '课程属性预设', 4000, NULL, 'menu', '/index/course_property/0', NULL, NULL, NULL, 3);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (4100, '2018-06-08 13:25:10', '2018-06-25 10:24:12', 'question_bank', 3, '题库管理', NULL, NULL, 'menu', NULL, NULL, NULL, NULL, 9);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (4101, '2018-06-08 13:25:10', '2018-06-25 10:26:21', 'import_test_paper', 3, '导入试卷管理', 4100, NULL, 'menu', '/index/import_paper/0', NULL, NULL, NULL, 0);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (4200, '2018-06-08 13:25:10', '2018-06-25 10:24:25', 'paper_manager', 3, '卷库管理', NULL, NULL, 'menu', NULL, NULL, NULL, NULL, 8);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (4201, '2018-06-08 13:25:10', '2018-06-25 10:26:45', 'exam_paper_manager', 3, '考试试卷管理', 4200, NULL, 'menu', '/index/gen_paper/0', NULL, NULL, NULL, 0);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (4300, '2018-06-08 13:25:10', '2018-06-25 10:24:40', 'exam_maanger', 3, '考试管理', NULL, NULL, 'menu', NULL, NULL, NULL, NULL, 7);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (4301, '2018-06-08 13:25:10', '2018-06-25 10:27:20', 'examstruct_rule', 3, '调卷规则', 4300, NULL, 'menu', '/index/extract_paper_rule', NULL, NULL, NULL, 5);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (4302, '2018-06-08 13:25:10', '2018-06-25 10:27:48', 'exampaper_export_config', 3, '试卷结构导出设置', 4300, NULL, 'menu', '/index/exportStructure', NULL, NULL, NULL, 4);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (4400, '2018-06-08 13:25:10', '2018-06-25 10:24:52', 'ques_maanger', 3, '试题管理', NULL, NULL, 'menu', NULL, NULL, NULL, NULL, 6);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (4401, '2018-06-08 13:25:10', '2018-06-25 10:28:02', 'question_list', 3, '试题列表', 4400, NULL, 'menu', '/index/question/0', NULL, NULL, NULL, 5);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (4402, '2018-06-08 13:25:10', '2018-06-25 10:28:15', 'single_question_import', 3, '单题录入', 4400, NULL, 'menu', '/index/insert_paper_title', NULL, NULL, NULL, 4);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (5000, '2018-06-08 13:25:10', '2018-06-19 16:51:10', 'Netexam_manager', 4, '网考管理', NULL, NULL, 'menu', NULL, NULL, NULL, NULL, 10);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (5001, '2018-06-08 13:25:10', '2018-06-19 15:55:18', 'no_exam_record', 4, '缺考登记', 5000, NULL, 'menu', 'online.absent', NULL, NULL, NULL, 0);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (5002, '2018-06-08 13:25:10', '2018-06-19 15:55:32', 'invigilated_pending_trial', 4, '监考待审', 5000, NULL, 'menu', 'online.online.pending', NULL, NULL, NULL, 0);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (5003, '2018-06-08 13:25:10', '2018-06-19 16:11:42', 'invigilated_trial', 4, '监考已审', 5000, NULL, 'menu', 'online.online.invigilate', NULL, NULL, NULL, 0);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (5004, '2018-06-08 13:25:10', '2018-06-19 16:11:50', 'set_reexam', 4, '设置重考', 5000, NULL, 'menu', 'online.reexamine', NULL, NULL, NULL, 0);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (5005, '2018-06-08 13:25:10', '2018-06-19 16:11:57', 'vio_list', 4, '违纪名单', 5000, NULL, 'menu', 'online.impName', NULL, NULL, NULL, 0);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (5100, '2018-06-08 13:25:10', '2018-06-19 16:51:48', 'numerical_statement', 4, '统计报表', NULL, NULL, 'menu', NULL, NULL, NULL, NULL, 9);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (5101, '2018-06-08 13:25:10', '2018-06-19 16:12:53', 'exam_detail', 4, '考试明细', 5100, NULL, 'menu', 'total.exam-query', NULL, NULL, NULL, 0);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (5102, '2018-06-08 13:25:10', '2018-06-19 16:13:00', 'score_numerical', 4, '成绩统计', 5100, NULL, 'menu', 'total.score-statics', NULL, NULL, NULL, 0);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (5200, '2018-06-08 13:25:10', '2018-06-19 16:51:52', 'exam_process', 4, '考试进度', NULL, NULL, 'menu', NULL, NULL, NULL, NULL, 8);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (5201, '2018-06-08 13:25:10', '2018-06-19 16:11:17', 'exam_over_view', 4, '考试概览', 5200, NULL, 'menu', 'progress.summary', NULL, NULL, NULL, 0);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (5202, '2018-06-08 13:25:10', '2018-06-19 16:11:29', 'exam_detail_info', 4, '考试详情', 5200, NULL, 'menu', 'progress.detail', NULL, NULL, NULL, 0);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (6000, '2018-06-08 13:25:10', '2018-06-27 17:36:05', 'mark_work', 5, '评卷工作', NULL, NULL, 'menu', '/index/mark_work', 'fa fa-tasks', NULL, NULL, 10);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (6100, '2018-06-08 13:25:10', '2018-06-27 16:56:07', 'mark_work_config', 5, '评卷设置', NULL, NULL, 'menu', '/index/mark_setting_work/setting', 'fa fa-cog', NULL, NULL, 9);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (6200, '2018-06-08 13:25:10', '2018-06-27 16:56:20', 'mark_pandect', 5, '评卷总览', NULL, NULL, 'menu', NULL, 'fa fa-bar-chart-o', NULL, NULL, 8);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (6201, '2018-06-08 13:25:10', '2018-06-27 16:56:37', 'mark_process', 5, '评卷进度', 6200, NULL, 'menu', '/index/mark_setting_work/overview', 'fa fa-tasks', NULL, NULL, 2);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (6202, '2018-06-08 13:25:10', '2018-06-27 16:56:45', 'mark_people', 5, '评卷员一览', 6200, NULL, 'menu', '/index/mark_setting_work/marker', 'fa fa-user', NULL, NULL, 1);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (6300, '2018-06-08 13:25:10', '2018-06-27 16:57:20', 'paper_check', 5, '试卷检查', NULL, NULL, 'menu', '/index/mark_setting_work/checking', 'fa fa-user-secret', NULL, NULL, 7);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (6400, '2018-06-08 13:25:10', '2018-06-27 16:50:33', 'score_manager', 5, '成绩管理', NULL, NULL, 'menu', NULL, 'fa fa-search', NULL, NULL, 6);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (6401, '2018-06-08 13:25:10', '2018-06-27 16:57:34', 'score_find', 5, '成绩查询', 6400, NULL, 'menu', '/index/mark_setting_work/grade', 'fa fa-circle-o', NULL, NULL, 0);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (6411, '2018-06-14 10:51:55', '2018-06-27 09:28:43', 'index_role_privilege_settings', 1, '角色权限设置', 1400, NULL, 'menu', '/index/role_privilege_settings', NULL, NULL, NULL, 0);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (6414, '2018-06-19 12:42:12', '2018-06-19 14:01:19', 'BASIC', 0, '基础信息', NULL, NULL, '8848', '#icon-core', NULL, NULL, NULL, 100);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (6415, '2018-06-19 12:42:53', '2018-06-19 14:01:40', 'EXAM_WORK', 0, '考务管理', NULL, NULL, '8858', '#icon-exam-work', NULL, NULL, NULL, 90);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (6416, '2018-06-19 12:43:12', '2018-06-19 14:02:25', 'QUESTIONS', 0, '题库管理', NULL, NULL, '8868', '#icon-question', NULL, NULL, NULL, 70);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (6417, '2018-06-19 12:43:31', '2018-06-19 14:02:40', 'ONLINE_EXAM', 0, '网考管理', NULL, NULL, '8898', '#icon-oe', NULL, NULL, NULL, 60);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (6418, '2018-06-19 12:43:57', '2018-06-19 14:02:54', 'MARKING', 0, '阅卷管理', NULL, NULL, '8888', '#icon-marking', NULL, NULL, NULL, 50);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (6419, '2018-06-19 13:38:27', '2018-06-19 14:03:07', 'PRINT', 0, '印刷管理', NULL, NULL, '8838', '#icon-print', NULL, NULL, NULL, 40);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (6420, '2018-06-19 13:38:54', '2018-06-19 14:03:22', 'REPORTS', 0, '报表', NULL, NULL, 'sb', '#icon-stat', NULL, NULL, NULL, 30);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (6421, '2018-06-19 17:22:30', '2018-06-19 17:22:30', 'INVIGILATE_AUDIT_STATUS', 4, '监考已审-审核状态', 5003, '', 'PAGE', NULL, NULL, NULL, NULL, 0);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (6428, '2018-06-20 15:01:58', '2018-06-27 16:56:57', 'paper_mark', 5, '试卷评阅', NULL, NULL, 'menu', NULL, 'fa fa-edit', NULL, NULL, 20);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (6430, '2018-06-20 15:14:23', '2018-06-27 16:57:08', 'marking', 5, '正评', 6428, NULL, 'menu', '/index/mark_setting_work/marking', 'fa fa-circle-o', NULL, NULL, 10);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (6457, '2018-06-21 16:48:37', '2018-06-21 16:48:37', 'AdminButtonShow', 5, '阅卷管理员-->按钮', NULL, NULL, 'button', NULL, NULL, NULL, NULL, 0);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (6458, '2018-06-21 16:53:05', '2018-06-21 16:53:05', 'MarkButtonShow', 5, '阅卷评卷员-->按钮', NULL, NULL, 'button', NULL, NULL, NULL, NULL, 100);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (6459, '2018-07-03 11:43:08', '2018-07-03 13:47:24', 'search_exam', 2, '查询按钮', 3002, NULL, 'button', NULL, NULL, NULL, NULL, 0);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (6460, '2018-07-03 11:43:25', '2018-07-03 13:47:32', 'add_exam', 2, '新增按钮', 3002, NULL, 'button', NULL, NULL, NULL, NULL, 0);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (6461, '2018-07-03 11:43:43', '2018-07-03 13:47:45', 'del_exam', 2, '删除按钮', 3002, NULL, 'button', NULL, NULL, NULL, NULL, 0);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (6462, '2018-07-03 11:44:22', '2018-07-03 13:47:52', 'update_exam', 2, '更新按钮', 3002, NULL, 'button', NULL, NULL, NULL, NULL, 0);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (6464, '2018-07-03 11:45:18', '2018-07-03 13:48:35', 'exam_course_setting', 2, '课程设置按钮', 3002, NULL, 'button', NULL, NULL, NULL, NULL, 0);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (6465, '2018-07-03 11:45:38', '2018-07-03 13:48:45', 'exam_org_setting', 2, '机构设置按钮', 3002, NULL, 'button', NULL, NULL, NULL, NULL, 0);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (6466, '2018-07-03 13:44:25', '2018-07-03 13:46:14', 'search_examStudent', 2, '查询按钮', 3001, NULL, 'button', NULL, NULL, NULL, NULL, 0);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (6467, '2018-07-03 13:44:43', '2018-07-03 13:46:27', 'add_examStudent', 2, '新增按钮', 3001, NULL, 'button', NULL, NULL, NULL, NULL, 0);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (6468, '2018-07-03 13:45:05', '2018-07-03 13:46:39', 'import_examStudent', 2, '导入按钮', 3001, NULL, 'button', NULL, NULL, NULL, NULL, 0);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (6469, '2018-07-03 13:45:22', '2018-07-03 13:46:46', 'copy_examStudent', 2, '复制按钮', 3001, NULL, 'button', NULL, NULL, NULL, NULL, 0);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (6470, '2018-07-03 13:45:33', '2018-07-03 13:46:56', 'del_examStudent', 2, '删除按钮', 3001, NULL, 'button', NULL, NULL, NULL, NULL, 0);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (6471, '2018-07-03 13:45:48', '2018-07-03 13:47:05', 'update_examStudent', 2, '更新按钮', 3001, NULL, 'button', NULL, NULL, NULL, NULL, 0);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (6472, '2018-07-03 14:00:40', '2018-07-03 14:00:40', 'change_exam_availability', 2, '修改考试可用性按钮', 3002, NULL, 'button', NULL, NULL, NULL, NULL, 0);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (6473, '2018-07-03 14:05:18', '2018-07-03 14:05:18', 'search_student', 2, '查询学生按钮', 3101, NULL, 'button', NULL, NULL, NULL, NULL, 0);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (6476, '2018-07-03 14:06:45', '2018-07-03 14:06:59', 'upload_student_photo', 2, '上传学生照片按钮', 3101, NULL, 'button', NULL, NULL, NULL, NULL, 0);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (6477, '2018-07-03 14:07:26', '2018-07-03 14:07:26', 'reset_student_password', 2, '重置学生密码按钮', 3101, NULL, 'button', NULL, NULL, NULL, NULL, 0);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (6478, '2018-07-03 14:07:56', '2018-07-03 14:07:56', 'change_student_availability', 2, '更改学生可用性按钮', 3101, NULL, 'button', NULL, NULL, NULL, NULL, 0);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (6479, '2018-07-23 09:23:18', '2018-07-23 15:16:15', 'ORG_FIND_LIMIT', 4, '学习中心查询限制', NULL, '勾选后只能查询当前用户所在的机构，如果当前用户是机构管理员，则看不到任何机构', 'PAGE', NULL, NULL, NULL, NULL, 0);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (6480, '2018-07-23 10:00:03', '2018-07-23 10:00:05', 'EXAM_DETAIL_EXPORT', 4, '考试明细-导出按钮', 5101, NULL, 'PAGE', NULL, NULL, NULL, NULL, 0);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (6481, '2018-07-23 10:05:28', '2018-07-23 10:05:29', 'SCORE_STATICS_EXPORT', 4, '成绩统计-导出按钮', 5102, NULL, 'PAGE', NULL, NULL, NULL, NULL, 0);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (6482, '2018-07-23 10:08:58', '2018-07-23 10:09:01', 'EXAM_PARTICULARS_EXPORT', 4, '考试详情-导出按钮', 5202, NULL, 'PAGE', NULL, NULL, NULL, NULL, 0);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (6483, '2018-07-23 10:14:57', '2018-07-23 10:14:59', 'ABSENT_EXPORT', 4, '缺考登记-导出按钮', 5001, NULL, 'PAGE', NULL, NULL, NULL, NULL, 0);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (6484, '2018-07-23 10:25:25', '2018-07-23 10:25:27', 'PENDING_CLEAN_DATA', 4, '监考待审-清理数据按钮', 5002, NULL, 'PAGE', NULL, NULL, NULL, NULL, 0);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (6485, '2018-07-23 10:25:29', '2018-07-23 10:25:31', 'PENDING_RESTATISTICS', 4, '监考待审-重新统计按钮', 5002, NULL, 'PAGE', NULL, NULL, NULL, NULL, 0);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (6486, '2018-07-23 10:25:33', '2018-07-23 10:25:35', 'PANEING_BATCHAUDIT', 4, '监考待审-批量审核按钮', 5002, NULL, 'PAGE', NULL, NULL, NULL, NULL, 0);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (6487, '2018-07-23 10:28:18', '2018-07-23 10:28:19', 'SET_REEXAM_CLEAN_DATA', 4, '设置重考-清理数据按钮', 5004, NULL, 'PAGE', NULL, NULL, NULL, NULL, 0);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (6488, '2018-07-23 10:33:19', '2018-07-23 10:33:20', 'BREACH_THE_PRINCIPLE_EXPORT', 4, '违纪名单-导出按钮', 5005, NULL, 'PAGE', NULL, NULL, NULL, NULL, 0);
INSERT INTO `ec_b_privilege`(`id`, `creation_time`, `update_time`, `code`, `group_id`, `name`, `parent_id`, `description`, `ext1`, `ext2`, `ext3`, `ext4`, `ext5`, `weight`) VALUES (6489, '2018-07-23 15:29:59', '2018-07-23 15:30:01', 'PENDING_OPERATE', 4, '监考待审-操作列', 5002, NULL, 'PAGE', NULL, NULL, NULL, NULL, 0);


INSERT INTO `ec_b_app`(`id`, `creation_time`, `update_time`, `code`, `name`) VALUES (0, '2018-06-19 12:37:48', '2018-06-19 12:37:50', 'PORTAL', '门户');
INSERT INTO `ec_b_app`(`id`, `creation_time`, `update_time`, `code`, `name`) VALUES (1, '2018-06-12 15:08:22', '2018-06-12 15:08:25', 'BASIC', '基础信息');
INSERT INTO `ec_b_app`(`id`, `creation_time`, `update_time`, `code`, `name`) VALUES (2, '2018-06-12 15:08:52', '2018-06-12 15:08:55', 'EXAM_WORK', '考务管理');
INSERT INTO `ec_b_app`(`id`, `creation_time`, `update_time`, `code`, `name`) VALUES (3, '2018-06-12 15:08:22', '2018-06-12 15:08:25', 'QUESTIONS', '题库');
INSERT INTO `ec_b_app`(`id`, `creation_time`, `update_time`, `code`, `name`) VALUES (4, '2018-06-12 15:08:22', '2018-06-12 15:08:25', 'ONLINE_EXAM', '网考');
INSERT INTO `ec_b_app`(`id`, `creation_time`, `update_time`, `code`, `name`) VALUES (5, '2018-06-12 15:08:22', '2018-06-12 15:08:25', 'MARKING', '阅卷');



